echo "installing required packages..."
sudo apt-get -y install python-flask python-numpy python-scipy python-matplotlib

echo "Adding current directory to PYTHONPATH..."
export PYTHONPATH=$PYTHONPATH:`pwd`/samples

echo Sample 1: sum two values
echo batchflow samples/sum.n
echo
echo Sample 2: plot waveform
echo batchflow samples/plotwave.n data/MultiSpeech_en.wav
echo
echo Sample 3: plot spectrogram
echo batchflow samples/plotspec.n data/MultiSpeech_en.wav
echo
echo Sample 4: plot MUSIC spectrum
echo batchflow samples/plotmusic.n data/MultiSpeech_en.wav
echo
echo Sample 5: LPF
echo batchflow samples/signalproc.n data/MultiSpeech_en.wav
echo
echo Sample 6: Send HTTP request
echo python samples/communication_server.py
echo batchflow samples/communication.n data/MultiSpeech_en.wav
