import harkpython.harkbasenode as harkbasenode
import json
import requests

class HarkNode (harkbasenode.HarkBaseNode):
    def __init__(self):
        self.outputNames = ("output",)
        self.outputTypes = ("prim_int",)

    def calculate(self):

        # send self.loc (= localization results)
        # to a web server in JSON format.
        requests.post("http://localhost:5000/",
                      data=json.dumps(self.loc))
        self.outputValues["output"] = 0
